# Record TCefFocusHandler

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefFocusHandler = record`

## Description

Implement this structure to handle events related to focus. The functions of this structure will be called on the UI thread.

NOTE: This struct is allocated client-side.

Implemented by ICefFocusHandler.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_focus_handler_capi.h">CEF source file: /include/capi/cef_focus_handler_capi.h (cef_focus_handler_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `on_take_focus: procedure(self: PCefFocusHandler; browser: PCefBrowser; next: Integer); stdcall;`
| `on_set_focus: function(self: PCefFocusHandler; browser: PCefBrowser; source: TCefFocusSource): Integer; stdcall;`
| `on_got_focus: procedure(self: PCefFocusHandler; browser: PCefBrowser); stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `on_take_focus: procedure(self: PCefFocusHandler; browser: PCefBrowser; next: Integer); stdcall;`
This item has no description.

| `on_set_focus: function(self: PCefFocusHandler; browser: PCefBrowser; source: TCefFocusSource): Integer; stdcall;`
This item has no description.

| `on_got_focus: procedure(self: PCefFocusHandler; browser: PCefBrowser); stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.